using System;

namespace pecinaVisina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int N = 5;
            int L = 5;
            bool prosao = true;
            int[] visine = { 6, 7, 5, 6, 2 };
            for (int i = 0; i < N; i++)
            {
                if (L >= visine[i]) { Console.WriteLine(i + 1); prosao = false; break; }
            }
            if (prosao) { Console.WriteLine(-1); }
        }
    }
}